*,
::before,
::after {
    margin: 0;
    padding: 0;
}

html {
    scroll-behavior: smooth;
}

body {
    position: relative;
    background-color: #0c0b0b;
    color: #fff;
    font-family: "Noto Sans", sans-serif;
    overflow-x: hidden;
    font-size: 1rem;
}

#logo {
    max-width: 300px;
    height: auto;
    position: relative;
    z-index: 1000;
    @media (max-width: 475px) {
        max-width: 170px;
    }
}

a:link,
a:active {
    text-decoration: none;
    color: #fff;
}

a:visited,
a:hover {
    text-decoration: none;
    color: inherit;
}

img {
    max-width: 100%;
    object-fit: cover;
}

a.menu {
    display: none;
    height: 0;
}

section {
    position: relative;
    overflow: clip;
}

p,
h2 {
    line-height: 1.4;
    margin-bottom: 1em;
}

p span {
    white-space: pre;
}

.text-center {
    text-align: center;
}

h2 {
    color: #ad9876;
    font-size: 1rem;
    position: relative;

    &.right::before {
        right: 0;
    }

    &.down::before {
        right: 0;
        left: 50%;
        top: 50px;
        width: 1px;
        height: 50px;
    }

    &::before {
        position: absolute;
        top: 50%;
        width: 76%;
        background-color: #ad9876;
        height: 1px;
        content: "";
    }
}

.hamburger {
    display: block;
    position: absolute;
    top: 1em;
    right: 1rem;
    width: 30px;
    z-index: 4;
    cursor: pointer;
    @media (min-width: 1024px) {
        display: none;
    }
}

.lines {
    width: 30px;
    transition: transform 250ms ease;

    .line {
        background: #fff;
        height: 6px;
        width: 30px;
        margin: 5px;
        transition: all 250ms ease;
        transform-origin: center center;
        border-radius: 0.2rem;
    }
}

.open .line:nth-child(1) {
    transform: rotate(-45deg) translate(0px, 0px);
}

.open .line:nth-child(2) {
    transform: translateX(-50px);
    opacity: 0;
}

.open .line:nth-child(3) {
    transform: rotate(45deg) translate(-15px, -16px);
}

/* hero */

.navBar {
    display: flex;
    padding: 1.5rem;
    flex-direction: column;
    overflow-y: unset;
    @media (min-width: 1024px) {
        flex-direction: row;
    }
}

nav {
    width: 100%;
    margin-left: auto;
    justify-content: flex-end;
    margin-right: 3rem;
    flex-wrap: wrap;
    white-space: nowrap;
    display: none;
    @media (min-width: 1024px) {
        display: flex;
    }

    &.navShow {
        display: block;
        background-color: #000000;
        display: flex;
        flex-direction: column;
        justify-content: start;
        position: absolute;
        top: 0;
        left: 0;
        z-index: 1;
        transition: all 250ms ease-in;
        padding: 2rem;

        & > * {
            flex-direction: column;
            justify-content: center;
            align-items: start;
            font-weight: var(--ff-bold);
            justify-content: space-evenly;
            min-height: 40vh;
            @media (max-width: 768px) {
                height: max-content;
                margin-top: 2rem;
                min-height: auto;
            }

            & > * {
                justify-content: space-between;
                margin: 0;
                list-style-type: none;
                text-transform: uppercase;
                padding: 1rem 0;
            }
        }
    }

    ul {
        list-style-type: none;
        display: flex;
        align-items: center;
        text-transform: uppercase;

        & > * {
            margin: 0 2rem;

            :hover {
                color: #ad9876;
                transition: all 250ms linear;
            }
        }
    }
}

.resImg {
    max-width: 500px;
    height: 100%;
    width: 100%;
    object-fit: contain;
}

@supports (animation-timeline: view()) {
    .bg {
        animation: fade-out linear forwards;
        animation-timeline: view();
        animation-range: exit;
    }

    .hero-text {
        animation: scale 1s forwards ease-in-out;
        animation-timeline: view();
        animation-range: exit;
        z-index: -1;
        transform: scale(1);
        opacity: 1;
    }
}

.resImg-custom {
    max-width: 330px;
    height: auto;
}

.border-radius {
    border-radius: 242px 220px 442px 250px;
}

.hero img:not(.feature) {
    opacity: 69%;
    position: absolute;
    top: 0;
    z-index: -1;
    height: 100%;
    width: 100%;
}

.hero {
    position: relative;
    display: flex;
    flex-direction: column;
    min-height: 300px;
    @media (max-width: 475px) {
        height: 300px;
    }
}

.feature {
    position: absolute;
    bottom: 0;
    margin: auto;
    left: 50%;
    right: 50%;
    transform: translate(-50%);
    max-width: 200px;
    @media (max-width: 1024px) {
        max-width: 80px;
    }
}

.hero-content {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
}

.hero-text {
    font-family: "Oswald", sans-serif;
    margin: auto;
    max-width: 80vw;
    font-weight: bold;
    text-shadow: 14px 0px 15px #000000a6;
    font-size: clamp(7rem, 26vw + -2.2rem, 29rem);
}

/* Layout Classes */

.row,
.cols,
.even-cols,
.cols3 {
    display: flex;
    flex-direction: column;
    @media (min-width: 1024px) {
        flex-direction: row;
    }
}

.cols,
.even-cols {
    position: relative;
}

.cols3 {
    gap: 2rem;
    justify-content: space-between;
}

.cols3 > * {
    flex-basis: 100%;
    justify-content: space-between;
    flex-wrap: wrap;
    @media (min-width: 1024px) {
        flex-basis: 30%;
    }
}

/* select all the direct children div's */
.cols > * {
    flex-basis: 50%;
    flex-wrap: wrap;
    position: relative;
}

section:not(.hero, .container-wide, .navBar) {
    padding: 3rem 1rem;
    margin: auto;
}
.container {
    margin: 0 auto;
    width: 93%;
    max-width: 80rem;
    position: relative;
}

.container-wide {
    max-width: 100rem;
    padding: 3rem 2rem;
    margin: auto;
}

.btn {
    text-transform: uppercase;
    border: 1px solid #fff;
    padding: 1rem;
    margin: 1rem 0;
    display: inline-block;
    transition: all 250ms ease-in-out;

    &:hover {
        background-color: #fff;
        color: #0c0b0b;
    }

    &.mt2 {
        margin-top: 2rem;
    }

    &.m2 {
        margin: 2rem 0;
    }
}

main {
    padding-top: 3rem;
}

.center-block {
    margin: auto;
    text-align: center;

    & .block-header {
        margin-bottom: 6rem;
    }
}

iframe {
    border-radius: 2rem;
    min-height: 500px;
}

.sociallinks {
    margin-right: 1%;
    display: flex;
    color: #ffffff;
    justify-content: space-around;
    align-items: center;
    text-decoration: none;
    transition: all 250ms both ease-in-out;

    & i {
        font-size: 1.7rem;
    }
}

.sociallinks a {
    transition: transform 250ms ease-in-out;
}

.sociallinks a:hover {
    transform: scale(1.5);
}

/* Form */

#subscribeForm {
    transform: translateY(-200px);
}

form {
    border: 1px solid #ad9876;
    max-width: 30rem;
    margin: 8rem auto 2rem;
    border-radius: 2rem;
    padding: 1rem 1rem 0;
    display: flex;
    flex-direction: column;

    & div {
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    p {
        margin: 0;
    }

    input {
        border: 1px solid #ad9876;
        padding: 1rem;
        border-radius: 2rem;
        font-size: 1rem;
        font-family: "Noto Sans", sans-serif;
    }

    button {
        border: 3px solid #ad9876;
        background-color: #0c0b0b;
        color: #fff;
        max-width: 200px;
        margin: 1rem 0;
        border-radius: 2rem;
        padding: 0.4rem 2rem;
        transition: all 250ms ease-in-out;

        &:hover {
            background-color: #ad9876;
            color: #0c0b0b;
            cursor: pointer;
        }
    }

    .flex {
        display: flex;
    }
}

.grecaptcha-badge {
    visibility: hidden;
    display: none;
    width: 0;
    height: 0;
}

footer {
    color: #ad9876;
    padding: 2rem;

    small {
        opacity: 0.5;
    }
}
/* if people suffer from motion and they turn off it will not run the animations */
/* @media (prefers-reduced-motion: no-preference) { */
.appearEl {
    animation: fade linear forwards;
    animation-timeline: view();
    animation-range: entry;
    opacity: 0;
    transform: translateX(-100px);

    &.right {
        transform: translateX(100px);
    }
}

.intro {
    transform: translateY(100px);
    opacity: 0;
    animation: scalePop 1s forwards ease-in-out;
    animation-timeline: view();
    animation-range: entry;
}

#subscribeForm {
    transform: translateY(-200px);
    opacity: 0;
    animation: scalePop 1s forwards ease-in-out;
    animation-timeline: view();
    animation-range: entry 50%;
}

@keyframes fade {
    to {
        opacity: 1;
        transform: translateX(0);
    }
}

@keyframes fade-out {
    25% {
        opacity: 1;
    }
    85%,
    100% {
        opacity: 0;
    }
}

@keyframes scale {
    100% {
        transform: scale(0);
        opacity: 0;
    }
}

@keyframes scalePop {
    100% {
        transform: scale(1);
        opacity: 1;
    }
}
/* } */
